Bulk Create Offer URLs
curl --request POST \
--url https://api.eflow.team/v1/networks/offerurls/bulk \
--header 'Content-Type: application/json' \
--header 'X-Eflow-Api-Key: <api-key>' \
--data '
[
{
"network_offer_id": 6,
"name": "Landing Page A",
"destination_url": "https://example.com/a?tid={transaction_id}",
"preview_url": "https://example.com/a",
"url_status": "active",
"is_apply_specific_affiliates": false,
"is_hidden_affiliate": false
},
{
"network_offer_id": 6,
"name": "Landing Page B",
"destination_url": "https://example.com/b?tid={transaction_id}",
"preview_url": "https://example.com/b",
"url_status": "active",
"is_apply_specific_affiliates": false,
"is_hidden_affiliate": false
}
]
'import requests
url = "https://api.eflow.team/v1/networks/offerurls/bulk"
payload = [
{
"network_offer_id": 6,
"name": "Landing Page A",
"destination_url": "https://example.com/a?tid={transaction_id}",
"preview_url": "https://example.com/a",
"url_status": "active",
"is_apply_specific_affiliates": False,
"is_hidden_affiliate": False
},
{
"network_offer_id": 6,
"name": "Landing Page B",
"destination_url": "https://example.com/b?tid={transaction_id}",
"preview_url": "https://example.com/b",
"url_status": "active",
"is_apply_specific_affiliates": False,
"is_hidden_affiliate": False
}
]
headers = {
"X-Eflow-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Eflow-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
network_offer_id: 6,
name: 'Landing Page A',
destination_url: 'https://example.com/a?tid={transaction_id}',
preview_url: 'https://example.com/a',
url_status: 'active',
is_apply_specific_affiliates: false,
is_hidden_affiliate: false
},
{
network_offer_id: 6,
name: 'Landing Page B',
destination_url: 'https://example.com/b?tid={transaction_id}',
preview_url: 'https://example.com/b',
url_status: 'active',
is_apply_specific_affiliates: false,
is_hidden_affiliate: false
}
])
};
fetch('https://api.eflow.team/v1/networks/offerurls/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"urls": [
{
"network_offer_url_id": 123,
"network_id": 123,
"network_offer_id": 123,
"name": "<string>",
"destination_url": "<string>",
"preview_url": "<string>",
"network_affiliate_ids": [
123
],
"is_apply_specific_affiliates": true,
"is_hidden_affiliate": true,
"time_created": 1734455015,
"time_saved": 1734455015,
"remote_offer_resource": {
"network_offer_id": 123,
"network_id": 123,
"resource_type": "<string>",
"remote_resource_id": "<string>",
"resource_id": 123,
"last_value_md5": "<string>",
"json_config": "<string>",
"json_data": "<string>",
"time_created": 1734455015,
"time_saved": 1734455015
}
}
]
}Offer URLs
Bulk Create Offer URLs
POST
/
networks
/
offerurls
/
bulk
Bulk Create Offer URLs
Create multiple offer URLs in a single request. The request body is an array of offer URL objects, each with the same fields as the Create Offer URL endpoint.
Authorizations
The Everflow API key generated from the Control Center > Security.
Body
application/json
The ID of the offer to which this offer URL is associated.
The name of the offer URL.
The URL the offer URL will redirect to.
Determines whether this offer URL applies to all affiliates or only to a select few. When true, the network_affiliate_ids array must be filled.
Determines whether affiliates will see this offer URL or not in the affiliate UI / API.
A preview URL, if it exists.
Status of the offer URL setting.
Available options:
active, paused, deleted The IDs of the affiliates that are to be affected by the offer URL. Only relevant when is_apply_specific_affiliates is true.
Response
200 - application/json
Show child attributes
Show child attributes
Was this page helpful?
⌘I
